Subject: tty00, ^S

From: [email-masked] (Ron Roskens)

> Does anyone know why tty00 locks up when it receives a ^S?

Specifically your asking why a XOFF ( or XON, I'm not sure ) character does 
what it does.  What you need to do is specify that the XON, XOFF characters 
need to be sent as data, instead of being translated by the terminal. 

> How hard would it be to fix?  Where would one look, in the
> amiga/dev/ser.c code?  in the kernels tty code?

The easiest way is to send a ^Q back as the next character to tell the terminal
to resume display again.

Ron Roskens